## com.imcode.imcms.api
Class I18nDisabledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.imcode.imcms.api.I18nException
                      com.imcode.imcms.api.I18nDisabledException

All Implemented Interfaces:
  java.io.Serializable

    public class I18nDisabledException

extends I18nException

See Also:
  Serialized Form

Constructor Summary
`I18nDisabledException(DocumentDomainObject document, I18nLanguage language)`

Method Summary
`DocumentDomainObject` `getDocument()`
`I18nLanguage` `getLanguage()`
`void` `setDocument(DocumentDomainObject document)`
`void` `setLanguage(I18nLanguage language)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I18nDisabledException

    public I18nDisabledException(DocumentDomainObject document,
                                 I18nLanguage language)

Method Detail

### getDocument

    public DocumentDomainObject getDocument()

### setDocument

    public void setDocument(DocumentDomainObject document)

### getLanguage

    public I18nLanguage getLanguage()

### setLanguage

    public void setLanguage(I18nLanguage language)